Bug 677425 - sssd will not start - unable to load modules
Summary: sssd will not start - unable to load modules
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sssd   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stephen Gallagher
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-14 18:43 UTC by Orion Poplawski
Modified: 2011-03-08 02:23 UTC (History)
5 users (show)

Fixed In Version: libldb-1.0.0-2.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-08 02:23:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Orion Poplawski 2011-02-14 18:43:07 UTC
Description of problem:

Freshly installed F15 Alpha TC1 system.  sssd came up on the first boot, but since then have been unable to get it to start. sssd.log shows:

(Mon Feb 14 11:35:26 2011) [sssd] [ldb] (0): WARNING: Module [memberof] not found - do you need to set LDB_MODULES_PATH?
(Mon Feb 14 11:35:26 2011) [sssd] [ldb] (0): Unable to load modules for /var/lib/sss/db/cache_default.ldb: (null)


Version-Release number of selected component (if applicable):
sssd-1.5.1-3.fc15.x86_64

Comment 1 Fedora Update System 2011-02-14 18:50:40 UTC
sssd-1.5.1-7.fc15,libldb-1.0.0-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/sssd-1.5.1-7.fc15,libldb-1.0.0-2.fc15

Comment 2 Fedora Update System 2011-02-15 17:27:44 UTC
sssd-1.5.1-7.fc15, libldb-1.0.0-2.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sssd libldb'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/sssd-1.5.1-7.fc15,libldb-1.0.0-2.fc15

Comment 3 Fedora Update System 2011-02-22 21:48:57 UTC
libldb-1.0.0-2.fc15, sssd-1.5.1-8.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libldb sssd'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/sssd-1.5.1-8.fc15,libldb-1.0.0-2.fc15

Comment 4 Terje Røsten 2011-02-27 22:33:02 UTC
Related issue: libldb has been updated to 1.0.2 in rawhide (fc16):

http://koji.fedoraproject.org/koji/buildinfo?buildID=230398

and has broken sssd again, I had to downgrade to 1.0.0 to get sssd working.

Might be wise to add some tighter version requirements on libldb in sssd spec file,

This line in spec: 

 Requires: libldb >= 0.9.3

is too weak. 

As it seems as exact version of libldl at sssd build time is a hard requirement:

$ rpm -q sssd libldb
sssd-1.5.1-8.fc16.x86_64
libldb-1.0.2-1.fc16.x86_64

$ sssd -i
ldb: module version mismatch in src/ldb_modules/memberof.c : ldb_version=1.0.2 module_version=1.0.0
ldb: failed to initialise module /usr/lib64/ldb/modules/ldb/memberof.so : Unavailable
(Sun Feb 27 23:29:25 2011) [sssd] [load_configuration] (0): The confdb initialization failed


$ rpm -q --requires sssd|grep libldb
libldb >= 0.9.3
libldb.so.1()(64bit)  
libldb.so.1(LDB_0.9.10)(64bit)

Comment 5 Simo Sorce 2011-02-28 13:35:44 UTC
I changed 1.5.1-9 to depend explicitly on 1.0.2 only.
The build should be available in rawhide soon.

Comment 6 Fedora Update System 2011-03-08 02:23:23 UTC
libldb-1.0.0-2.fc15, sssd-1.5.1-8.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.